<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Bladeburner](./bitburner.bladeburner.md) &gt; [getCurrentAction](./bitburner.bladeburner.getcurrentaction.md)

## Bladeburner.getCurrentAction() method

Get current action.

**Signature:**

```typescript
getCurrentAction(): BladeburnerCurAction | null;
```
**Returns:**

[BladeburnerCurAction](./bitburner.bladeburnercuraction.md) \| null

Object that represents the player’s current Bladeburner action, or null if no action is being performed.

## Remarks

RAM cost: 1 GB

